package csy.asyncdownpicdemo;
//Download by http://www.codefans.net
import android.app.Activity;
import android.content.Context;
import android.os.Bundle;
import android.widget.GridView;

import java.util.Arrays;
import java.util.List;

public class AsyncDownPicDemoActivity extends Activity {
    
    private GridView mGridView;
    private Context mContext;
    private List<String> urlList;
    private RemoteAdapter mRemoteAdapter;
    
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        init();
    }
    
    private void init(){
        
        mContext = this;
        
        mGridView = (GridView)findViewById(R.id.grid_view);
        
        urlList = Arrays.asList(new String[]{
                "http://www.chinatelecom.com.cn/images/logo_new.gif"
                ,"http://t03.pic.sogou.com/945b578c3b6057be.jpg"
                ,"http://t03.pic.sogou.com/3a4feb9c3b6057be.jpg"
                ,"http://t02.pic.sogou.com/eb95234678ecb28d.jpg"
                ,"http://t01.pic.sogou.com/a240ade96f0fbe20.jpg"
                ,"http://t04.pic.sogou.com/e72ead334e356f27.jpg"
                ,"http://t01.pic.sogou.com/166bb3e4026f1294.jpg"
                ,"http://t01.pic.sogou.com/bf593d46dc85ff10.jpg"
                ,"http://t04.pic.sogou.com/a7bedc2a13f3045f.jpg"
                ,"http://t02.pic.sogou.com/c323b5e10071eed5.jpg"
                ,"http://www.baidu.com/img/baidu_logo.gif"
                ,"http://t01.pic.sogou.com/0165d7241d6cd80c.jpg"
                ,"http://cache.soso.com/30d/img/web/logo.gif",
                "http://csdnimg.cn/www/images/csdnindex_logo.gif"
                ,"http://samsung.tgbus.com/UploadFiles_3297/201207/2012071009241894.jpg"
                ,"http://t01.pic.sogou.com/746bf1a4484d8dd4.jpg"
                ,"http://www.icoou.com/news_img/20110301/1109150.jpg"
                ,"http://images.cnblogs.com/logo_small.gif"
                ,"http://t04.pic.sogou.com/84b8341f7346b9c7.jpg"
                ,"http://t03.pic.sogou.com/ca11112c3b6057be.jpg"
                ,"http://t02.pic.sogou.com/56cbda8df459a4e1.jpg"
                ,"http://t04.pic.sogou.com/64918bba09a4884b.jpg"
                ,"http://t04.pic.sogou.com/bda625f4bff15e0b.jpg"
                ,"http://t01.pic.sogou.com/5d9a94e179fb5f08.jpg"
        });
        
        mRemoteAdapter = new RemoteAdapter(mContext, urlList);
        mGridView.setAdapter(mRemoteAdapter);
    }
}